# Method: accounts.locations.verify

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#body.VerifyLocationResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#body.aspect)
- [EmailInput](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#EmailInput)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#EmailInput.SCHEMA_REPRESENTATION)
- [AddressInput](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#AddressInput)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#AddressInput.SCHEMA_REPRESENTATION)
- [PhoneInput](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#PhoneInput)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#PhoneInput.SCHEMA_REPRESENTATION)

Starts the verification process for a location.

### HTTP request

`POST https://mybusiness.googleapis.com/v4/{name=accounts/*/locations/*}:verify`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Resource name of the location to verify. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "method": enum (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications#VerificationMethod`), "languageCode": string, "context": { object (`https://developers.google.com/my-business/reference/rest/v4/ServiceBusinessContext`) }, // Union field `RequestData` can be only one of the following: "emailInput": { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#EmailInput`) }, "addressInput": { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#AddressInput`) }, "phoneInput": { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#PhoneInput`) } // End of list of possible types for union field `RequestData`. } ``` |

| Fields ||
|---|---|---|
| `method` | ``enum (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications#VerificationMethod`)`` Verification method. |
| `languageCode` | `string` The BCP 47 language code representing the language that is to be used for the verification process. |
| `context` | ``object (`https://developers.google.com/my-business/reference/rest/v4/ServiceBusinessContext`)`` Extra context information for the verification of service businesses. Required for the locations whose business type is CUSTOMER_LOCATION_ONLY. For ADDRESS verification, the address will be used to send out postcard. For other methods, it should be the same as the one that is passed to locations.fetchVerificationOptions. INVALID_ARGUMENT will be thrown if it is set for other types of business locations. |
| Union field `RequestData`. User input data for specific method in addition to the display data. The data must match the requested method. Leave it empty if no data is needed. `RequestData` can be only one of the following: |||
| `emailInput` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#EmailInput`)`` The input for EMAIL method. |
| `addressInput` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#AddressInput`)`` The input for ADDRESS method. |
| `phoneInput` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations/verify#PhoneInput`)`` The input for PHONE_CALL/SMS method |

### Response body

If successful, the response body contains data with the following structure:
Response message for Verifications.VerifyLocation.

| JSON representation ||
|---|---|
| ``` { "verification": { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications#Verification`) } } ``` |

| Fields ||
|---|---|
| `verification` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.verifications#Verification`)`` The created verification request. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## EmailInput

Input for EMAIL verification.

| JSON representation ||
|---|---|
| ``` { "emailAddress": string } ``` |

| Fields ||
|---|---|
| `emailAddress` | `string` Email address where the PIN should be sent to. An email address is accepted only if it is one of the addresses provided by locations.fetchVerificationOptions. If the `https://developers.google.com/my-business/reference/rest/v4/accounts.locations/fetchVerificationOptions#EmailVerificationData` has isUserNameEditable set to true, the client may specify a different user name (local-part) but must match the domain name. |

## AddressInput

Input for ADDRESS verification.

| JSON representation ||
|---|---|
| ``` { "mailerContactName": string } ``` |

| Fields ||
|---|---|
| `mailerContactName` | `string` Contact name the mail should be sent to. |

## PhoneInput

Input for PHONE_CALL/SMS verification.

| JSON representation ||
|---|---|
| ``` { "phoneNumber": string } ``` |

| Fields ||
|---|---|
| `phoneNumber` | `string` The phone number that should be called or be sent SMS to. It must be one of the phone numbers in the eligible options. |